clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::CXXBasePath Class Reference

Represents a path from a specific derived class (which is not represented as part of the path) to a particular (direct or indirect) base class subobject. More...

`#include "clang/AST/CXXInheritance.h"`

Inheritance diagram for clang::CXXBasePath:
[legend]
Collaboration diagram for clang::CXXBasePath:
[legend]

## Public Member Functions
| CXXBasePath ()=default
void | clear ()

## Public Attributes
AccessSpecifier | Access = AS_public
| The access along this inheritance path. More...
DeclContext::lookup_result | Decls
| The set of declarations found inside this base class subobject. More...

## Detailed Description

Represents a path from a specific derived class (which is not represented as part of the path) to a particular (direct or indirect) base class subobject.

Individual elements in the path are described by the `CXXBasePathElement` structure, which captures both the link from a derived class to one of its direct bases and identification describing which base class subobject is being used.

Definition at line 71 of file CXXInheritance.h.

## Constructor & Destructor Documentation

## ◆ CXXBasePath()

clang::CXXBasePath::CXXBasePath | ( |  | ) |
| default

## Member Function Documentation

## ◆ clear()

void clang::CXXBasePath::clear | ( |  | ) |
| inline

Definition at line 84 of file CXXInheritance.h.

References clang::AS_public, and clang::CodeGen::clear().

Referenced by clang::CXXBasePaths::clear().

## Member Data Documentation

## ◆ Access

AccessSpecifier clang::CXXBasePath::Access = AS_public

The access along this inheritance path.

This is only calculated when recording paths. AS_none is a special value used to indicate a path which permits no legal access.

Definition at line 76 of file CXXInheritance.h.

Referenced by clang::Sema::CheckBaseClassAccess().

## ◆ Decls

DeclContext::lookup_result clang::CXXBasePath::Decls

The set of declarations found inside this base class subobject.

Definition at line 82 of file CXXInheritance.h.

The documentation for this class was generated from the following file:

- include/clang/AST/CXXInheritance.h